
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0


#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
     class TLFB82A1
     {
    	 units[] = {};
         weapons[] = {TLFB82A1};
         requiredVersion = 1.01;
     };
     
     class TLFSB82A1
     {
    	 units[] = {TLFSB82A1};
         weapons[] = {};
         requiredVersion = 1.01;
     };
};

class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWSniper:SoldierWB{};
	class TLFSB82A1:SoldierWSniper
	{
		displayName="TLFSniper(B82A1)";
		weapons[]={TLFB82A1,binocular};
		magazines[]={TLFB82A1mag,TLFB82A1mag,TLFB82A1mag,TLFB82A1mag};
		accuracy=6.500000;
		nightVision=1;
		camouflage=0.800000;
		sensitivity=18;
	};
}

class CfgAmmo
{
	
	class default {};
        class BulletSingle:default {};
	class TLFB13_99:BulletSingle
	{
		hit=18;
		indirectHit=7;
		indirectHitRange=0.100000;
		minRange=1;
		minRangeProbab=0.100000;
		midRange=800;
		midRangeProbab=0.800000;
		maxRange=1300;
		maxRangeProbab=0.800000;
		cost=3.5;
		tracerColor[]={0.7,0.7,0.7,1.150000};
		tracerColorR[]={0.7,0.6,0.7,1.150000};
		visibleFire=900;
		audibleFire=1300;
		visibleFireTime=5;
	};
};

class CfgWeapons
{
     class default {};
     class MGun:default {};
     class Riffle:MGun {};
     class TLFB82A1:Riffle
     {
		scopeWeapon=2;
		scopeMagazine=0;
		model="\TLFB82a1\TLFb82a1.p3d";
		modelOptics="optika_snpierw.p3d";
		picture="\TLFB82a1\TLFw_b82a1.paa";
		ammo="TLFB13_99";
		displayName="TLF Barret82A1";
		weaponType=1;
		magazineType=256;
		count=10;
		magazineReloadTime=5;
		sound[]={"\TLFB82a1\TLFshot.ogg",5.000000,1};
		reloadSound[]={"",1,1};
		reloadMagazineSound[]={"weapons\m16load",0.000316,1};
		autoReload=0;
		flash="gunfire";
		flashSize=50.00000;
		aiDispersionCoefX=0.100000;
		aiDispersionCoefY=0.100000;
		maxLeadSpeed=46;
		canLock=0;
		ffMagnitude=0.500000;
		ffFrequency=11;
		ffCount=3;
		dispersion=0.000100;
		optics=1;
		opticsZoomMin=0.01350;
		opticsZoomMax=0.02700;
		distanceZoomMin=1375;
		distanceZoomMax=550;
		soundContinuous=0;
		reloadTime=0.700000;
		recoil=TLFB82a1;
		opticsFlare=1;
		aiRateOfFire=5.000000;
		aiRateOfFireDistance=1600;
		initSpeed=854;
		magazines[]={"TLFB82A1mag"};
		}
	class TLFB82A1mag: TLFB82A1
	{
		displayNameMagazine="TLF82A";
		shortNameMagazine="TLF82A";
		scopeWeapon=0;
     		scopeMagazine=2;
     		picture="\TLFB82A1\TLFm_b82a1.paa";
	}
};
class CfgRecoils
{
	TLFB82a1[]={0.020000,0,0,0.050000,0.020000,0.040000,0.100000,0.010000,0.0200000,0.200000,0,0};
};

class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyTLFB82A1: ProxyWeapon {};};